<?php

namespace App\Models;

class StatusTicketModel
{
  public function __construct(
    private int $id,
    private string $namaStatus,
    private ?int $urutan,
    private ?string $deskripsi,
  ) {}

  // Getter

  public function getId(): int
  {
    return $this->id;
  }

  public function getNamaStatus(): string
  {
    return $this->namaStatus;
  }

  public function getUrutan(): ?int
  {
    return $this->urutan;
  }

  public function getDeskripsi(): ?string
  {
    return $this->deskripsi;
  }
}
